Gentoo Archives: gentoo-commits

From: "Aaron W. Swenson" <titanofold@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/ddclient/, net-dns/ddclient/files/
Date: Thu, 18 Apr 2019 12:56:54
Message-Id: 1555592180.6b82ba22d3824a3e3b4068bb19dad94c71e5a48b.titanofold@gentoo
1 commit: 6b82ba22d3824a3e3b4068bb19dad94c71e5a48b
2 Author: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
3 AuthorDate: Thu Apr 18 12:55:54 2019 +0000
4 Commit: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
5 CommitDate: Thu Apr 18 12:56:20 2019 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b82ba22
7
8 net-dns/ddclient: Cleanup
9
10 Closes: https://bugs.gentoo.org/664826
11 Closes: https://bugs.gentoo.org/650406
12 Package-Manager: Portage-2.3.62, Repoman-2.3.11
13 Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>
14
15 net-dns/ddclient/Manifest | 1 -
16 net-dns/ddclient/ddclient-3.8.1-r5.ebuild | 55 ---------------------------
17 net-dns/ddclient/ddclient-3.9.0-r1.ebuild | 63 -------------------------------
18 net-dns/ddclient/files/cmd-over-cfg.patch | 11 ------
19 net-dns/ddclient/files/ddclient.confd-r1 | 2 -
20 net-dns/ddclient/files/ddclient.initd-r3 | 57 ----------------------------
21 net-dns/ddclient/files/ddclient.initd-r5 | 21 -----------
22 net-dns/ddclient/files/ddclient.service | 12 ------
23 net-dns/ddclient/files/iproute2.patch | 30 ---------------
24 net-dns/ddclient/metadata.xml | 1 -
25 10 files changed, 253 deletions(-)
26
27 diff --git a/net-dns/ddclient/Manifest b/net-dns/ddclient/Manifest
28 index f48954925d5..65a72add02c 100644
29 --- a/net-dns/ddclient/Manifest
30 +++ b/net-dns/ddclient/Manifest
31 @@ -1,2 +1 @@
32 -DIST ddclient-3.8.1.tar.gz 48600 BLAKE2B a945adcb42bd298422c71c0eea6bea36c6b266ce39e97ebfd833b29819a2f30f2651d7f7b17dbfc0720b6209d0c0ed94bf2673624777f07e6de83a7081471995 SHA512 d6722582dffe0c5a806176f24bd3d9117bc1210ea0137aa92138390be16e67d47b746777dc431282a664849c91626969a5e267777126bac03304c7aa34a9dad7
33 DIST ddclient-3.9.0.tar.gz 59018 BLAKE2B b9b58108d9f124fcd5a72cc57bfb0e6a5bc2e115edc27a1d5950a929670d67d5c703b09f51e7e82e977ccfb544d115da177b0ac8dc06a76a800aa207cde5a42d SHA512 ae314c96a37dd90256d6acf62f4a4523b72f540194131e351a032239b00b4520351f6549d3b20a9209fe49ccc6de7ce158ffa8635d341066ea71b789dc667438
34
35 diff --git a/net-dns/ddclient/ddclient-3.8.1-r5.ebuild b/net-dns/ddclient/ddclient-3.8.1-r5.ebuild
36 deleted file mode 100644
37 index f4c2cb5db01..00000000000
38 --- a/net-dns/ddclient/ddclient-3.8.1-r5.ebuild
39 +++ /dev/null
40 @@ -1,55 +0,0 @@
41 -# Copyright 1999-2013 Gentoo Foundation
42 -# Distributed under the terms of the GNU General Public License v2
43 -
44 -EAPI="4"
45 -inherit eutils systemd user
46 -
47 -DESCRIPTION="Perl updater client for dynamic DNS services"
48 -HOMEPAGE="http://ddclient.sourceforge.net/"
49 -SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
50 -
51 -LICENSE="GPL-2"
52 -SLOT="0"
53 -KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd"
54 -IUSE="hardened"
55 -
56 -RDEPEND=">=dev-lang/perl-5.1
57 - dev-perl/Digest-SHA1
58 - dev-perl/IO-Socket-SSL
59 - hardened? ( sys-apps/iproute2 )
60 -"
61 -
62 -pkg_setup() {
63 - enewgroup ${PN}
64 - enewuser ${PN} -1 -1 -1 ${PN}
65 -}
66 -
67 -src_prepare() {
68 - # Remove pid line, because it is specified in /etc/init.d/ddclient
69 - ebegin "Removing PID setup from ${PN}.conf"
70 - if ! sed '/^pid/d' -i "sample-etc_${PN}.conf"; then
71 - eerror "Failed to remove pid from /etc/${PN}/${PN}.conf"
72 - fi
73 - eend $?
74 -
75 - use hardened && epatch "${FILESDIR}/iproute2.patch"
76 -
77 - epatch "${FILESDIR}/cmd-over-cfg.patch"
78 -}
79 -
80 -src_install() {
81 - dosbin ${PN}
82 - dodoc Change* COPYRIGHT README* RELEASENOTE sample*
83 -
84 - newinitd "${FILESDIR}/${PN}.initd-r3" ${PN}
85 - newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
86 - systemd_dounit "${FILESDIR}"/${PN}.service
87 - keepdir /var/cache/${PN}
88 - fowners -R ${PN}:${PN} /var/cache/${PN}
89 -
90 - insinto /etc/${PN}
91 - insopts -m 0600 -o ${PN} -g ${PN}
92 - newins sample-etc_${PN}.conf ${PN}.conf
93 - newins sample-etc_${PN}.conf ${PN}.conf.sample
94 - fowners -R ${PN}:${PN} /etc/${PN}
95 -}
96
97 diff --git a/net-dns/ddclient/ddclient-3.9.0-r1.ebuild b/net-dns/ddclient/ddclient-3.9.0-r1.ebuild
98 deleted file mode 100644
99 index 5176c0ebc34..00000000000
100 --- a/net-dns/ddclient/ddclient-3.9.0-r1.ebuild
101 +++ /dev/null
102 @@ -1,63 +0,0 @@
103 -# Copyright 1999-2019 Gentoo Authors
104 -# Distributed under the terms of the GNU General Public License v2
105 -
106 -EAPI="6"
107 -
108 -inherit systemd user
109 -
110 -DESCRIPTION="Perl client used to update dynamic DNS entries"
111 -HOMEPAGE="https://sourceforge.net/projects/ddclient/"
112 -SRC_URI="mirror://sourceforge/ddclient/${P}.tar.gz"
113 -
114 -KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~x86-fbsd"
115 -LICENSE="GPL-2+"
116 -SLOT="0"
117 -IUSE="examples iproute2"
118 -
119 -RDEPEND="dev-lang/perl
120 - dev-perl/Data-Validate-IP
121 - dev-perl/Digest-SHA1
122 - dev-perl/IO-Socket-INET6
123 - dev-perl/IO-Socket-SSL
124 - virtual/perl-Digest-SHA
125 - virtual/perl-JSON-PP
126 - iproute2? ( sys-apps/iproute2 )"
127 -
128 -pkg_setup() {
129 - enewgroup ddclient
130 - enewuser ddclient -1 -1 -1 ddclient
131 -}
132 -
133 -src_prepare() {
134 - # Remove PID setting, to reliably setup the environment for the init script
135 - sed -e '/^pid/d' -i sample-etc_ddclient.conf || die
136 -
137 - # Remove windows executable
138 - if use examples; then
139 - rm sample-etc_dhcpc_dhcpcd-eth0.exe || die
140 - fi
141 -
142 - # Use sys-apps/iproute2 instead of sys-apps/net-tools
143 - use iproute2 && eapply "${FILESDIR}"/${P}-use_iproute2.patch
144 -
145 - default
146 -}
147 -
148 -src_install() {
149 - dobin ddclient
150 -
151 - insinto /etc/ddclient
152 - insopts -m 0600 -o ddclient -g ddclient
153 - newins sample-etc_ddclient.conf ddclient.conf
154 -
155 - newinitd "${FILESDIR}"/ddclient.initd-r5 ddclient
156 - systemd_newunit "${FILESDIR}"/ddclient.service-r1 ddclient.service
157 - systemd_newtmpfilesd "${FILESDIR}"/ddclient.tmpfiles ddclient.conf
158 -
159 - dodoc Change* README* RELEASENOTE TODO UPGRADE
160 -
161 - if use examples; then
162 - docinto examples
163 - dodoc sample-*
164 - fi
165 -}
166
167 diff --git a/net-dns/ddclient/files/cmd-over-cfg.patch b/net-dns/ddclient/files/cmd-over-cfg.patch
168 deleted file mode 100644
169 index 9033873fde7..00000000000
170 --- a/net-dns/ddclient/files/cmd-over-cfg.patch
171 +++ /dev/null
172 @@ -1,11 +0,0 @@
173 ---- ddclient.old 2011-11-13 10:14:59.957846596 -0500
174 -+++ ddclient 2011-11-13 10:18:33.864245944 -0500
175 -@@ -773,7 +773,7 @@
176 - foreach my $h (sort keys %config) {
177 - next if $config{$h}{'protocol'} ne lc($s);
178 - $examined{$h} = 1;
179 -- my $use = $config{$h}{'use'} || opt('use');
180 -+ my $use = opt('use') || $config{$h}{'use'};
181 - local $opt{$use} = $config{$h}{$use} if $config{$h}{$use};
182 - # bug #13: we should only do this once
183 - # use isn't enough, we have to save the origin to.
184
185 diff --git a/net-dns/ddclient/files/ddclient.confd-r1 b/net-dns/ddclient/files/ddclient.confd-r1
186 deleted file mode 100644
187 index 69ad0eeff87..00000000000
188 --- a/net-dns/ddclient/files/ddclient.confd-r1
189 +++ /dev/null
190 @@ -1,2 +0,0 @@
191 -# No need to specify a pid in /etc/ddclient/ddclient.conf
192 -#PIDFILE=/var/run/ddclient/ddclient.pid
193
194 diff --git a/net-dns/ddclient/files/ddclient.initd-r3 b/net-dns/ddclient/files/ddclient.initd-r3
195 deleted file mode 100644
196 index e0606a60b11..00000000000
197 --- a/net-dns/ddclient/files/ddclient.initd-r3
198 +++ /dev/null
199 @@ -1,57 +0,0 @@
200 -#!/sbin/openrc-run
201 -# Copyright 1999-2011 Gentoo Foundation
202 -# Distributed under the terms of the GNU General Public License v2
203 -
204 -if [ -d /run ] ; then
205 - PIDFILE=${PIDFILE:-/run/ddclient/ddclient.pid}
206 -else
207 - PIDFILE=${PIDFILE:-/var/run/ddclient/ddclient.pid}
208 -fi
209 -
210 -depend() {
211 - before cron
212 - need net
213 - use dns logger squid
214 -}
215 -
216 -checkconfig() {
217 - local conf="/etc/ddclient/ddclient.conf"
218 -
219 - if [ -e "${conf}" ] ; then
220 - if [ -n "$(find /etc/ddclient -maxdepth 1 -name ddclient.conf -perm +0044)" ] ; then
221 - eerror "${conf} must not be world or group readable. Try:"
222 - eerror " chmod 600 ${conf}"
223 - eerror " chown ddclient:ddclient ${conf}"
224 - return 1
225 - fi
226 - else
227 - eerror "${conf} is needed to run ddclient"
228 - eerror "There is a sample file in /etc/ddclient/"
229 - return 1
230 - fi
231 -}
232 -
233 -start() {
234 - checkconfig || return 1
235 -
236 - local piddir=$(dirname ${PIDFILE})
237 - if [ ! -d ${piddir} ] ; then
238 - ebegin "Making ${piddir}"
239 - mkdir -p ${piddir}
240 - eend $?
241 - ebegin "Changing permissions of ${piddir}"
242 - chown ddclient:ddclient ${piddir}
243 - eend $?
244 - fi
245 -
246 - ebegin "Starting ${SVCNAME}"
247 - start-stop-daemon --start --user ddclient --exec /usr/sbin/ddclient \
248 - --name ddclient --pidfile ${PIDFILE} -- -pid=${PIDFILE}
249 - eend $?
250 -}
251 -
252 -stop() {
253 - ebegin "Stopping ${SVCNAME}"
254 - start-stop-daemon --stop --signal USR1 --pidfile ${PIDFILE}
255 - eend $?
256 -}
257
258 diff --git a/net-dns/ddclient/files/ddclient.initd-r5 b/net-dns/ddclient/files/ddclient.initd-r5
259 deleted file mode 100644
260 index a2284a27c1f..00000000000
261 --- a/net-dns/ddclient/files/ddclient.initd-r5
262 +++ /dev/null
263 @@ -1,21 +0,0 @@
264 -#!/sbin/openrc-run
265 -# Copyright 1999-2018 Gentoo Foundation
266 -# Distributed under the terms of the GNU General Public License v2
267 -
268 -name="DDclient"
269 -pidfile="/run/ddclient/${RC_SVCNAME}.pid"
270 -
271 -command="/usr/bin/ddclient"
272 -command_args="-pid ${pidfile}"
273 -command_group="ddclient"
274 -command_user="ddclient"
275 -
276 -depend() {
277 - use dns logger
278 -}
279 -
280 -start_pre() {
281 - checkpath -f -m 0600 -o ${command_user}:${command_group} /etc/ddclient/ddclient.conf
282 - checkpath -d -m 0700 -o ${command_user}:${command_group} /run/ddclient
283 - checkpath -d -m 0700 -o ${command_user}:${command_group} /var/cache/ddclient
284 -}
285
286 diff --git a/net-dns/ddclient/files/ddclient.service b/net-dns/ddclient/files/ddclient.service
287 deleted file mode 100644
288 index e2d3608d44d..00000000000
289 --- a/net-dns/ddclient/files/ddclient.service
290 +++ /dev/null
291 @@ -1,12 +0,0 @@
292 -[Unit]
293 -Description=Dynamic DNS Update Client
294 -After=network.target
295 -ConditionPathExists=/etc/ddclient/ddclient.conf
296 -
297 -[Service]
298 -ExecStart=/usr/sbin/ddclient --foreground
299 -User=ddclient
300 -Group=ddclient
301 -
302 -[Install]
303 -WantedBy=multi-user.target
304
305 diff --git a/net-dns/ddclient/files/iproute2.patch b/net-dns/ddclient/files/iproute2.patch
306 deleted file mode 100644
307 index f81dd8c00d8..00000000000
308 --- a/net-dns/ddclient/files/iproute2.patch
309 +++ /dev/null
310 @@ -1,30 +0,0 @@
311 -diff -u a/ddclient b/ddclient
312 ---- a/ddclient 2011-07-11 17:04:21.000000000 -0400
313 -+++ b/ddclient 2011-08-12 20:13:15.980466303 -0400
314 -@@ -588,7 +588,7 @@
315 - [ "ip", "=s", "-ip address : set the IP address to 'address'" ],
316 - "",
317 - [ "if", "=s", "-if interface : obtain IP address from 'interface'" ],
318 -- [ "if-skip", "=s", "-if-skip pattern : skip any IP addresses before 'pattern' in the output of ifconfig {if}" ],
319 -+ [ "if-skip", "=s", "-if-skip pattern : skip any IP addresses before 'pattern' in the output of ip addr show {if}" ],
320 - "",
321 - [ "web", "=s", "-web provider|url : obtain IP address from provider's IP checking page" ],
322 - [ "web-skip", "=s", "-web-skip pattern : skip any IP addresses before 'pattern' on the web provider|url" ],
323 -@@ -1316,7 +1316,7 @@
324 -
325 - {
326 - local $opt{'use'} = 'if';
327 -- foreach my $if (grep {/^[a-zA-Z]/} `ifconfig -a`) {
328 -+ foreach my $if (grep {/^[a-zA-Z]/} `ip addr show`) {
329 - $if =~ s/:?\s.*//is;
330 - local $opt{'if'} = $if;
331 - printf "use=if, if=%s address is %s\n", opt('if'), define(get_ip('if'), 'NOT FOUND');
332 -@@ -1937,7 +1937,7 @@
333 -
334 - } elsif ($use eq 'if') {
335 - $skip = opt('if-skip', $h) || '';
336 -- $reply = `ifconfig $arg 2> /dev/null`;
337 -+ $reply = `ip addr show $arg 2> /dev/null`;
338 - $reply = '' if $?;
339 -
340 - } elsif ($use eq 'cmd') {
341
342 diff --git a/net-dns/ddclient/metadata.xml b/net-dns/ddclient/metadata.xml
343 index 2d82a2acf9c..a65cccd3f08 100644
344 --- a/net-dns/ddclient/metadata.xml
345 +++ b/net-dns/ddclient/metadata.xml
346 @@ -21,7 +21,6 @@
347 </longdescription>
348 <use>
349 <flag name="examples">Install various example files, like for cron.</flag>
350 - <flag name="hardened">Use iproute2 instead of ifconfig to grab an IP address</flag>
351 <flag name="iproute2">Use <pkg>sys-apps/iproute2</pkg> instead of <pkg>sys-apps/net-tools</pkg> for interaction.</flag>
352 </use>
353 <upstream>